import React from "react";
import { View, Text, StyleSheet, Button,ScrollView} from "react-native";
import  colors from '../../../colors'
import styled from "styled-components/native";
import InsideRoom from '../../components/InsideRoom'
import ImageCarousel from '../../components/Carousel'







export default function Detail (props) {
  const {route,navigation}=props

  console.log(route.params.room)
  const goTo = () => navigation.navigate("stackMap");

  return (
    <ScrollView
      contentContainerStyle={{ alignItems: 'center' }}
      style={{ flex: 1, width: '100%' }}
      showsVerticalScrollIndicator={false}
    >


      <Text>{route.params.room.name}</Text>
      <View style={styles.carousel} >
      <ImageCarousel   />
      </View>
      <View>
      <InsideRoom {...props} />
      <Button onPress={goTo} title={`Go to maps`} />
      </View>
    </ScrollView>

  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: "azure",
    alignItems: "center",
    justifyContent: "center",
  },
  carousel: {



  },
});
